[QGIS Commit] r10998 - trunk/qgis/scripts

svn_qgis at osgeo.org svn_qgis at osgeo.org
Wed Jul 1 15:30:20 EDT 2009


Author: jef
Date: 2009-07-01 15:30:20 -0400 (Wed, 01 Jul 2009)
New Revision: 10998

Modified:
   trunk/qgis/scripts/update_ts_files.sh
Log:
remove location from temporary python translation files from ts files

Modified: trunk/qgis/scripts/update_ts_files.sh
===================================================================
--- trunk/qgis/scripts/update_ts_files.sh	2009-07-01 19:28:46 UTC (rev 10997)
+++ trunk/qgis/scripts/update_ts_files.sh	2009-07-01 19:30:20 UTC (rev 10998)
@@ -7,6 +7,8 @@
 # name is reserved for the Windows qmake project file
 # update_ts_files.sh,v 1.3 2004/07/14 18:16:24 gsherman Exp
 
+set -e
+
 PATH=$QTDIR/bin:$PATH
 
 #first tar the qt_xx.ts files in i18n folder such that lupdate does not 
@@ -17,9 +19,9 @@
 echo Updating python plugin translations
 for i in python/plugins/*/.; do
 	cd $i
-	pylupdate4 $(find . -name "*.py") -ts i18n.ts
-	perl ../../../scripts/ts2cpp.pl i18n.ts i18n.cpp
-	rm i18n.ts
+	pylupdate4 $(find . -name "*.py") -ts python-i18n.ts
+	perl ../../../scripts/ts2cpp.pl python-i18n.ts python-i18n.cpp
+	rm python-i18n.ts
 	cd ../../..
 done
 echo Creating qmake project file
@@ -27,7 +29,8 @@
 echo Updating translation files
 lupdate -verbose qgis_ts.pro
 echo Removing temporary python plugin translation files
-rm python/plugins/*/i18n.cpp
+perl -i.bak -pe '$_="" if /^\s+<location.*python-i18n\.cpp.*$/;' i18n/qgis_*.ts
+rm python/plugins/*/python-i18n.cpp i18n/qgis_*.ts.bak
 echo Removing qmake project file
 rm qgis_ts.pro
 echo Unpacking qt_ts.tar



More information about the QGIS-commit mailing list